/* vim: set noet ts=4 sw=4:
 *
 * Copyright (c) 2002-2009 Martin A. Godisch <martin@godisch.de>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef LATRINE_CHARSET_H
#define LATRINE_CHARSET_H

inline void make_digraph(wint_t, wint_t*);
inline int  wcsappend(int, wchar_t*, wchar_t, size_t);
inline int  wcsbackspace(wchar_t*, wchar_t*);
inline void wcsreverse(wchar_t*);
#define mbslen(s) mbstowcs(NULL, s, 0)

int load_keymap(int, const char*);

#endif
